Menu principal

Statut de la page

Installer john (theripper) avec support de multiples coeurs sous Debian Stretch

Par défaut sous Debian Stretch, john (theripper), ami de l'adminsys testeur de la solidité des mots de passe, fonctionne en utilisant un seul coeur/processeur. Il est nécessaire de recompiler john pour faire usage de multiples processeurs. Pas de panique, cela se fait très aisément. Il faut d'abord install gcc et make pour permettre la compilation : apt install gcc make Ensuite, on télécharge la dernière version de john sur le site d'Openwall : wget http://www.openwall.com/john/j/john-1.8.0.tar.xz On décompresse l'archive : tar xvf john-1.8.0.tar.xz (si tar ne reconnaît pas tar.xz, c'est qu'il faut installer le paquet xz-utils) On rentre dans le dossier source de john cd john-1.8.0/src/ et on modifie le fichier [...]
Lire la suite
Vus : 180
Publié par Pierre-Alain Bandinelli : 108

Installer Rainloop sur Nextcloud

Rainloop s'installe extrêmement facilement sur Nextcloud 11 pour transformer votre gestionnaire cloud favori en webmail fort pratique. Activer l'application La première étape consiste à activer l'application dans le magasin à application de Nextcloud. D'abord, cliquer sur le menu en haut à gauche puis sur le bouton "+ Apps" pour ouvrir le magasin à application. Dans la catégorie "Social & communication", on trouve l'application Rainloop qu'il suffit alors d'activer : Accéder à [...]
Lire la suite
Vus : 167
Publié par Pierre-Alain Bandinelli : 108

Installer Nextcloud sur son Raspberry

Il y a quelques temps j’avais évoqué ici mon acquisition d’un raspberry pi 3 pour me faire un petit serveur @home. Depuis le début j’utilisai la distribution DietPi, basée sur Raspbian avec pleins d’améliorations et des logiciels pré-configurés installables en quelques clics. Le serveur tournait parfaitement, sans avoir besoin de bidouiller la bête. Mais c’est lors d’un banal renouvellement de certificats letsencrypt que les ennuis ont commencé. L’outils Dietpi-Letsencrypt m’indiqua qu’aucun serveur web n’était configuré sur la machine. J’essaie de passer de Lighttpd à Nginx, toujours le même message d’erreur. Une réinstallation n’a rien changé alors il a fallu tourner la page, revenir à du Raspbian pure pour tout faire comme un grand à la main, mieux comprendre les rouages. Voici donc les quelques [...]
Lire la suite
Vus : 180
Publié par Bridouz : 33

Installer Nextcloud sur son Raspberry

Il y a quelques temps j’avais évoqué ici mon acquisition d’un raspberry pi 3 pour me faire un petit serveur @home. Depuis le début j’utilisai la distribution DietPi, basée sur Raspbian avec pleins d’améliorations et des logiciels pré-configurés installables en quelques clics. Le serveur tournait parfaitement, sans avoir besoin de bidouiller la bête. Mais c’est lors d’un banal renouvellement de certificats letsencrypt que les ennuis ont commencé. L’outils Dietpi-Letsencrypt m’indiqua qu’aucun serveur web n’était configuré sur la machine. J’essaie de passer de Lighttpd à Nginx, toujours le même message d’erreur. Une réinstallation n’a rien changé alors il a fallu tourner la page, revenir à du Raspbian pure pour tout faire comme un grand à la main, mieux comprendre les rouages. Voici donc les quelques [...]
Lire la suite
Vus : 96
Publié par Bridouz : 33

Magic device tool - Installer Ubuntu Touch sur votre téléphone ou tablette

Note : Ubuntu Touch est encore en développement actif. Je veux dire par là qu'il s'améliore avec le temps mais qu'il contient encore des soucis qui pourraient vous décevoir. Ceci-dit, il est possible de se lancer dans l'installation de cet OS alternatif sur votre smartphone en passant par un script. Il fera l'installation pour vous, en bon feignant que vous êtes. Ce script, c'est magic-device-tool. Il est officiellement disponible pour Ubuntu 16.04.Les appareils supportés sont les suivants : BQ Aquaris E4.5 (krillin)BQ Aquaris E5 HD (vegetahd)BQ Aquaris M10 HD (cooler)BQ Aquaris M10 FHD (frieza)Meizu MX 4 [...]
Lire la suite
Vus : 289
Publié par dada : 272

Installer Dofus sur Linux

Pas besoin de tourner autour du pot ni même faire une présentation de ce jeu de rôle en ligne massivement multijoueur (MMORPG), je me doute bien que si vous êtes arrivé ici c’est pour pouvoir installer Dofus sur le système d’exploitation Linux ! Avant de procéder à l’installation de Dofus il est nécessaire d’avoir déjà installer Adobe Air. Rien de bien compliqué, l’installation du jeu se fait en quelques minutes (hors mise à jour du launcher qui peut être plus ou moins long selon votre débit de connexion à internet) mais il est toujours agréable d’avoir un petit tutoriel simple et bien [...]
Lire la suite
Vus : 95
Publié par Petit Pouyo : 12

Installer Adobe Air sur Ubuntu 16.04 et 16.10

Adobe Integrated Runtime (AIR), est une machine virtuelle multiplate-forme (Linux, Windows et Mac), multi-langage, multi-interface qui s’exécute sur le système d’exploitation et non pas à l’intérieur d’un navigateur comme la machine virtuelle Flash. On parle alors de « Rich Desktop Application ». AIR nécessite au préalable l’installation d’un moteur d’exécution au sein duquel sera exécutée l’application. Cela offre l’avantage conséquent de n’avoir à écrire qu’un unique code pour toutes les plate-formes supportées par AIR. Voici la marche à suivre pour installer la dernière version d’Adobe Air sur Ubuntu 16.10 et 16.04 ainsi que les version 14.04/12.04/Linux Mint 18/17/13. Sur Yakkety Yak [...]
Lire la suite
Vus : 81
Publié par Petit Pouyo : 12

Installer un registry Docker privé et multiarch

Un registry Docker privé, c’est pratique ! Mais s’il est en plus multiarch, c’est parfait ! Pourquoi faire ? Pour par exemple pouvoir installer avec le même docker pull une image x86 ou une image arm. Mais encore ? Si votre cluster Kubernetes est composé de noeuds x86 et de noeuds arm et que vous faites un daemonset, il est plutôt indispensable de pouvoir pointer sur une image unique ;-) (c’est aussi valable pour du Swarm, du déploiement via du compose…). Let’s Encrypt Pour générer un certificat Let’s Encrypt pour votre registry, vous aurez besoin du client certbot. Vérifiez s’il existe dans les paquets de votre [...]
Lire la suite
Vus : 264
Publié par binbash.fr : 29

Installer correctement Steam sur Ubuntu après des erreurs libGL

J’ai voulu installer Steam sur Ubuntu 16.04 LTS en suivant le tutoriel disponible sur le site internet de la Documentation Ubuntu Francophone: Ubuntu-Fr.org, malheureusement j’ai dû faire face à un problème de pilote à cause des bibliothèques de la runtime Steam incompatibles (libGL error) lors du lancement de l’application, je vous explique ici comment j’ai résolu l’affaire. Comme tout bon utilisateur d’Ubuntu j’ai d’abord voulu installer Steam en ligne de commande en utilisant le paquet disponible sur le site officiel de la plateforme développée par Valve. Malheureusement des erreurs s’affichaient lorsque je voulais lancer l’application.  [...]
Lire la suite
Vus : 68
Publié par Petit Pouyo : 12

Installer facilement les polices Google sur Ubuntu avec TypeCatcher!

TypeCatcher est un logiciel très simple d’utilisation qui permet d’installer en quelques clics les polices d’écriture provenant de Google Font. Ce logiciel est vraiment simpliste et épuré, une fois lancé vous vous retrouvez avec une fenêtre comportant deux zones importantes La colonne de gauche qui contient le nom des polices. La colonne de droite qui permet d’afficher la police sélectionnée tout en personnalisant le texte. Si vous connaissez déjà le nom de la police recherchée, vous pouvez directement effectuer une recherche dans la barre prévue à cet effet en haut à droite. Il vous suffira ensuite de cliquer sur le bouton « Download font… » qui est quant à lui situé dans la [...]
Lire la suite
Vus : 66
Publié par Petit Pouyo : 12
Powered by BilboPlanet